diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/loopback-net-device.cc ns-3.44/src/internet/model/loopback-net-device.cc
--- ns-3.43/src/internet/model/loopback-net-device.cc	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/loopback-net-device.cc	2025-03-09 16:55:49.403371000 -0700
@@ -172,7 +172,7 @@
     Mac48Address to = Mac48Address::ConvertFrom(dest);
     NS_ASSERT_MSG(to == GetBroadcast() || to == m_address, "Invalid destination address");
     Simulator::ScheduleWithContext(m_node->GetId(),
-                                   Seconds(0.0),
+                                   Seconds(0),
                                    &LoopbackNetDevice::Receive,
                                    this,
                                    packet,
@@ -193,7 +193,7 @@
     Mac48Address from = Mac48Address::ConvertFrom(source);
     NS_ASSERT_MSG(to.IsBroadcast() || to == m_address, "Invalid destination address");
     Simulator::ScheduleWithContext(m_node->GetId(),
-                                   Seconds(0.0),
+                                   Seconds(0),
                                    &LoopbackNetDevice::Receive,
                                    this,
                                    packet,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/loopback-net-device.h ns-3.44/src/internet/model/loopback-net-device.h
--- ns-3.43/src/internet/model/loopback-net-device.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/loopback-net-device.h	2025-03-09 16:55:49.403371000 -0700
@@ -20,10 +20,10 @@
 class Node;
 
 /**
- * \ingroup netdevice
- * \ingroup internet
+ * @ingroup netdevice
+ * @ingroup internet
  *
- * \brief Virtual network interface that loops back any data sent to it to
+ * @brief Virtual network interface that loops back any data sent to it to
  * be immediately received on the same interface.
  *
  * This NetDevice is automatically added to any node as soon as the Internet
@@ -33,8 +33,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     LoopbackNetDevice();
@@ -75,12 +75,12 @@
 
   private:
     /**
-     * Receive a packet from tge Loopback NetDevice.
+     * Receive a packet from the Loopback NetDevice.
      *
-     * \param packet a reference to the received packet
-     * \param protocol the protocol
-     * \param to destination address
-     * \param from source address
+     * @param packet a reference to the received packet
+     * @param protocol the protocol
+     * @param to destination address
+     * @param from source address
      */
     void Receive(Ptr<Packet> packet, uint16_t protocol, Mac48Address to, Mac48Address from);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ndisc-cache.cc ns-3.44/src/internet/model/ndisc-cache.cc
--- ns-3.43/src/internet/model/ndisc-cache.cc	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ndisc-cache.cc	2025-03-09 16:55:49.403371000 -0700
@@ -237,7 +237,7 @@
       m_waiting(),
       m_router(false),
       m_nudTimer(Timer::CANCEL_ON_DESTROY),
-      m_lastReachabilityConfirmation(Seconds(0.0)),
+      m_lastReachabilityConfirmation(),
       m_nsRetransmit(0)
 {
     NS_LOG_FUNCTION(this);
@@ -265,7 +265,7 @@
     if (m_waiting.size() >= m_ndCache->GetUnresQlen())
     {
         /* we store only m_unresQlen packet => first packet in first packet remove */
-        /** \todo report packet as 'dropped' */
+        /** @todo report packet as 'dropped' */
         m_waiting.pop_front();
     }
     m_waiting.push_back(p);
@@ -275,7 +275,7 @@
 NdiscCache::Entry::ClearWaitingPacket()
 {
     NS_LOG_FUNCTION(this);
-    /** \todo report packets as 'dropped' */
+    /** @todo report packets as 'dropped' */
     m_waiting.clear();
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ndisc-cache.h ns-3.44/src/internet/model/ndisc-cache.h
--- ns-3.43/src/internet/model/ndisc-cache.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ndisc-cache.h	2025-03-09 16:55:49.403371000 -0700
@@ -30,9 +30,9 @@
 class Icmpv6L4Protocol;
 
 /**
- * \ingroup ipv6
+ * @ingroup ipv6
  *
- * \brief IPv6 Neighbor Discovery cache.
+ * @brief IPv6 Neighbor Discovery cache.
  */
 class NdiscCache : public Object
 {
@@ -40,23 +40,23 @@
     class Entry;
 
     /**
-     * \brief Get the type ID
-     * \return type ID
+     * @brief Get the type ID
+     * @return type ID
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Default value for unres qlen.
+     * @brief Default value for unres qlen.
      */
     static const uint32_t DEFAULT_UNRES_QLEN = 3;
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     NdiscCache();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~NdiscCache() override;
 
@@ -65,106 +65,106 @@
     NdiscCache& operator=(const NdiscCache&) = delete;
 
     /**
-     * \brief Get the NetDevice associated with this cache.
-     * \return NetDevice
+     * @brief Get the NetDevice associated with this cache.
+     * @return NetDevice
      */
     Ptr<NetDevice> GetDevice() const;
 
     /**
-     * \brief Get the Ipv6Interface associated with this cache.
-     * \returns The Ipv6Interface.
+     * @brief Get the Ipv6Interface associated with this cache.
+     * @returns The Ipv6Interface.
      */
     Ptr<Ipv6Interface> GetInterface() const;
 
     /**
-     * \brief Lookup in the cache.
-     * \param dst destination address.
-     * \return the entry if found, 0 otherwise.
+     * @brief Lookup in the cache.
+     * @param dst destination address.
+     * @return the entry if found, 0 otherwise.
      */
     virtual NdiscCache::Entry* Lookup(Ipv6Address dst);
 
     /**
-     * \brief Lookup in the cache for a MAC address.
-     * \param dst destination MAC address.
-     * \return a list of matching entries.
+     * @brief Lookup in the cache for a MAC address.
+     * @param dst destination MAC address.
+     * @return a list of matching entries.
      */
     std::list<NdiscCache::Entry*> LookupInverse(Address dst);
 
     /**
-     * \brief Add an entry.
-     * \param to address to add
-     * \return an new Entry
+     * @brief Add an entry.
+     * @param to address to add
+     * @return an new Entry
      */
     virtual NdiscCache::Entry* Add(Ipv6Address to);
 
     /**
-     * \brief Delete an entry.
-     * \param entry pointer to delete from the list.
+     * @brief Delete an entry.
+     * @param entry pointer to delete from the list.
      */
     void Remove(NdiscCache::Entry* entry);
 
     /**
-     * \brief Flush the cache.
+     * @brief Flush the cache.
      */
     void Flush();
 
     /**
-     * \brief Set the max number of waiting packet.
-     * \param unresQlen value to set
+     * @brief Set the max number of waiting packet.
+     * @param unresQlen value to set
      */
     void SetUnresQlen(uint32_t unresQlen);
 
     /**
-     * \brief Get the max number of waiting packet.
-     * \return max number
+     * @brief Get the max number of waiting packet.
+     * @return max number
      */
     uint32_t GetUnresQlen();
 
     /**
-     * \brief Set the device and interface.
-     * \param device the device
-     * \param interface the IPv6 interface
-     * \param icmpv6 the ICMPv6 protocol
+     * @brief Set the device and interface.
+     * @param device the device
+     * @param interface the IPv6 interface
+     * @param icmpv6 the ICMPv6 protocol
      */
     void SetDevice(Ptr<NetDevice> device,
                    Ptr<Ipv6Interface> interface,
                    Ptr<Icmpv6L4Protocol> icmpv6);
 
     /**
-     * \brief Print the NDISC cache entries
+     * @brief Print the NDISC cache entries
      *
-     * \param stream the ostream the NDISC cache entries is printed to
+     * @param stream the ostream the NDISC cache entries is printed to
      */
     void PrintNdiscCache(Ptr<OutputStreamWrapper> stream);
 
     /**
-     * \brief Clear the NDISC cache of all Auto-Generated entries
+     * @brief Clear the NDISC cache of all Auto-Generated entries
      */
     void RemoveAutoGeneratedEntries();
 
     /**
-     * \brief Pair of a packet and an Ipv4 header.
+     * @brief Pair of a packet and an Ipv4 header.
      */
     typedef std::pair<Ptr<Packet>, Ipv6Header> Ipv6PayloadHeaderPair;
 
     /**
-     * \ingroup ipv6
+     * @ingroup ipv6
      *
-     * \brief A record that holds information about a NdiscCache entry.
+     * @brief A record that holds information about a NdiscCache entry.
      */
     class Entry
     {
       public:
         /**
-         * \brief Constructor.
-         * \param nd The NdiscCache this entry belongs to.
+         * @brief Constructor.
+         * @param nd The NdiscCache this entry belongs to.
          */
         Entry(NdiscCache* nd);
 
         virtual ~Entry() = default;
 
         /**
-         * \brief The Entry state enumeration.
+         * @brief The Entry state enumeration.
          */
         enum NdiscCacheEntryState_e
         {
@@ -178,313 +178,313 @@
         };
 
         /**
-         * \brief The state of the entry.
+         * @brief The state of the entry.
          */
         NdiscCacheEntryState_e m_state;
 
         /**
-         * \brief Changes the state to this entry to INCOMPLETE.
-         * \param p packet that wait to be sent
+         * @brief Changes the state to this entry to INCOMPLETE.
+         * @param p packet that wait to be sent
          */
         void MarkIncomplete(Ipv6PayloadHeaderPair p);
 
         /**
-         * \brief Changes the state to this entry to REACHABLE.
-         * \param mac MAC address
-         * \return the list of packet waiting
+         * @brief Changes the state to this entry to REACHABLE.
+         * @param mac MAC address
+         * @return the list of packet waiting
          */
         std::list<Ipv6PayloadHeaderPair> MarkReachable(Address mac);
 
         /**
-         * \brief Changes the state to this entry to PROBE.
+         * @brief Changes the state to this entry to PROBE.
          */
         void MarkProbe();
 
         /**
-         * \brief Changes the state to this entry to STALE.
-         * \param mac L2 address
-         * \return the list of packet waiting
+         * @brief Changes the state to this entry to STALE.
+         * @param mac L2 address
+         * @return the list of packet waiting
          */
         std::list<Ipv6PayloadHeaderPair> MarkStale(Address mac);
 
         /**
-         * \brief Changes the state to this entry to STALE.
+         * @brief Changes the state to this entry to STALE.
          */
         void MarkStale();
 
         /**
-         * \brief Changes the state to this entry to REACHABLE.
+         * @brief Changes the state to this entry to REACHABLE.
          */
         void MarkReachable();
 
         /**
-         * \brief Change the state to this entry to DELAY.
+         * @brief Change the state to this entry to DELAY.
          */
         void MarkDelay();
 
         /**
-         * \brief Change the state to this entry to PERMANENT.
+         * @brief Change the state to this entry to PERMANENT.
          */
         void MarkPermanent();
 
         /**
-         * \brief Changes the state of this entry to auto-generated.
+         * @brief Changes the state of this entry to auto-generated.
          *
          * The entry must have a valid MacAddress.
          */
         void MarkAutoGenerated();
 
         /**
-         * \brief Add a packet (or replace old value) in the queue.
-         * \param p packet to add
+         * @brief Add a packet (or replace old value) in the queue.
+         * @param p packet to add
          */
         void AddWaitingPacket(Ipv6PayloadHeaderPair p);
 
         /**
-         * \brief Clear the waiting packet list.
+         * @brief Clear the waiting packet list.
          */
         void ClearWaitingPacket();
 
         /**
-         * \brief Is the entry STALE
-         * \return true if the entry is in STALE state, false otherwise
+         * @brief Is the entry STALE
+         * @return true if the entry is in STALE state, false otherwise
          */
         bool IsStale() const;
 
         /**
-         * \brief Is the entry REACHABLE
-         * \return true if the entry is in REACHABLE state, false otherwise
+         * @brief Is the entry REACHABLE
+         * @return true if the entry is in REACHABLE state, false otherwise
          */
         bool IsReachable() const;
 
         /**
-         * \brief Is the entry DELAY
-         * \return true if the entry is in DELAY state, false otherwise
+         * @brief Is the entry DELAY
+         * @return true if the entry is in DELAY state, false otherwise
          */
         bool IsDelay() const;
 
         /**
-         * \brief Is the entry INCOMPLETE
-         * \return true if the entry is in INCOMPLETE state, false otherwise
+         * @brief Is the entry INCOMPLETE
+         * @return true if the entry is in INCOMPLETE state, false otherwise
          */
         bool IsIncomplete() const;
 
         /**
-         * \brief Is the entry PROBE
-         * \return true if the entry is in PROBE state, false otherwise
+         * @brief Is the entry PROBE
+         * @return true if the entry is in PROBE state, false otherwise
          */
         bool IsProbe() const;
 
         /**
-         * \brief Is the entry PERMANENT
-         * \return true if the entry is in PERMANENT state, false otherwise
+         * @brief Is the entry PERMANENT
+         * @return true if the entry is in PERMANENT state, false otherwise
          */
         bool IsPermanent() const;
 
         /**
-         * \brief Is the entry STATIC_AUTOGENERATED
-         * \return True if the state of this entry is auto-generated; false otherwise.
+         * @brief Is the entry STATIC_AUTOGENERATED
+         * @return True if the state of this entry is auto-generated; false otherwise.
          */
         bool IsAutoGenerated() const;
 
         /**
-         * \brief Get the MAC address of this entry.
-         * \return the L2 address
+         * @brief Get the MAC address of this entry.
+         * @return the L2 address
          */
         Address GetMacAddress() const;
 
         /**
-         * \brief Set the MAC address of this entry.
-         * \param mac the MAC address to set
+         * @brief Set the MAC address of this entry.
+         * @param mac the MAC address to set
          */
         void SetMacAddress(Address mac);
 
         /**
-         * \brief If the entry is a host or a router.
-         * \return true if the node is a router, 0 if it is a host
+         * @brief If the entry is a host or a router.
+         * @return true if the node is a router, 0 if it is a host
          */
         bool IsRouter() const;
 
         /**
-         * \brief Set the node type.
-         * \param router true is a router, false means a host
+         * @brief Set the node type.
+         * @param router true is a router, false means a host
          */
         void SetRouter(bool router);
 
         /**
-         * \brief Get the time of last reachability confirmation.
-         * \return time
+         * @brief Get the time of last reachability confirmation.
+         * @return time
          */
         Time GetLastReachabilityConfirmation() const;
 
         /**
-         * \brief Start the reachable timer.
+         * @brief Start the reachable timer.
          */
         void StartReachableTimer();
 
         /**
-         * \brief Update the reachable timer.
+         * @brief Update the reachable timer.
          */
         void UpdateReachableTimer();
 
         /**
-         * \brief Start retransmit timer.
+         * @brief Start retransmit timer.
          */
         void StartRetransmitTimer();
 
         /**
-         * \brief Start probe timer.
+         * @brief Start probe timer.
          */
         void StartProbeTimer();
 
         /**
-         * \brief Start delay timer.
+         * @brief Start delay timer.
          */
         void StartDelayTimer();
 
         /**
-         * \brief Stop NUD timer and reset the NUD retransmission counter
+         * @brief Stop NUD timer and reset the NUD retransmission counter
          */
         void StopNudTimer();
 
         /**
-         * \brief Function called when reachable timer timeout.
+         * @brief Function called when reachable timer timeout.
          */
         void FunctionReachableTimeout();
 
         /**
-         * \brief Function called when retransmit timer timeout.
+         * @brief Function called when retransmit timer timeout.
          * It verify that the NS retransmit has reached the max so discard the entry
          * otherwise it retransmit a NS.
          */
         void FunctionRetransmitTimeout();
 
         /**
-         * \brief Function called when probe timer timeout.
+         * @brief Function called when probe timer timeout.
          */
         void FunctionProbeTimeout();
 
         /**
-         * \brief Function called when delay timer timeout.
+         * @brief Function called when delay timer timeout.
          */
         void FunctionDelayTimeout();
 
         /**
-         * \brief Set the IPv6 address.
-         * \param ipv6Address IPv6 address
+         * @brief Set the IPv6 address.
+         * @param ipv6Address IPv6 address
          */
         void SetIpv6Address(Ipv6Address ipv6Address);
 
         /**
-         * \brief Get the IPv6 address.
-         * \returns The IPv6 address
+         * @brief Get the IPv6 address.
+         * @returns The IPv6 address
          */
         Ipv6Address GetIpv6Address() const;
 
         /**
-         * \brief Get the state of the entry.
-         * \returns The state of the entry
+         * @brief Get the state of the entry.
+         * @returns The state of the entry
          */
         NdiscCacheEntryState_e GetEntryState() const;
 
         /**
-         * \brief Print this entry to the given output stream.
+         * @brief Print this entry to the given output stream.
          *
-         * \param os the output stream to which this Ipv6Address is printed
+         * @param os the output stream to which this Ipv6Address is printed
          */
         void Print(std::ostream& os) const;
 
       protected:
         /**
-         * \brief the NdiscCache associated.
+         * @brief the NdiscCache associated.
          */
         NdiscCache* m_ndCache;
 
       private:
         /**
-         * \brief The IPv6 address.
+         * @brief The IPv6 address.
          */
         Ipv6Address m_ipv6Address;
 
         /**
-         * \brief The MAC address.
+         * @brief The MAC address.
          */
         Address m_macAddress;
 
         /**
-         * \brief The list of packet waiting.
+         * @brief The list of packet waiting.
          */
         std::list<Ipv6PayloadHeaderPair> m_waiting;
 
         /**
-         * \brief Type of node (router or host).
+         * @brief Type of node (router or host).
          */
         bool m_router;
 
         /**
-         * \brief Timer (used for NUD).
+         * @brief Timer (used for NUD).
          */
         Timer m_nudTimer;
 
         /**
-         * \brief Last time we see a reachability confirmation.
+         * @brief Last time we see a reachability confirmation.
          */
         Time m_lastReachabilityConfirmation;
 
         /**
-         * \brief Number of NS retransmission.
+         * @brief Number of NS retransmission.
          */
         uint8_t m_nsRetransmit;
     };
 
   protected:
     /**
-     * \brief Dispose this object.
+     * @brief Dispose this object.
      */
     void DoDispose() override;
 
     /**
-     * \brief Neighbor Discovery Cache container
+     * @brief Neighbor Discovery Cache container
      */
     typedef std::map<Ipv6Address, NdiscCache::Entry*> Cache;
     /**
-     * \brief Neighbor Discovery Cache container iterator
+     * @brief Neighbor Discovery Cache container iterator
      */
     typedef std::map<Ipv6Address, NdiscCache::Entry*>::iterator CacheI;
 
     /**
-     * \brief A list of Entry.
+     * @brief A list of Entry.
      */
     Cache m_ndCache;
 
   private:
     /**
-     * \brief The NetDevice.
+     * @brief The NetDevice.
      */
     Ptr<NetDevice> m_device;
 
     /**
-     * \brief the interface.
+     * @brief the interface.
      */
     Ptr<Ipv6Interface> m_interface;
 
     /**
-     * \brief the icmpv6 L4 protocol for this cache.
+     * @brief the icmpv6 L4 protocol for this cache.
      */
     Ptr<Icmpv6L4Protocol> m_icmpv6;
 
     /**
-     * \brief Max number of packet stored in m_waiting.
+     * @brief Max number of packet stored in m_waiting.
      */
     uint32_t m_unresQlen;
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the reference to the output stream
- * \param entry the NdiscCache::Entry
- * \returns the reference to the output stream
+ * @param os the reference to the output stream
+ * @param entry the NdiscCache::Entry
+ * @returns the reference to the output stream
  */
 std::ostream& operator<<(std::ostream& os, const NdiscCache::Entry& entry);
 
